Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.relateddomainext
Class EPPRelatedDomainExtRenew

    java.lang.Object
      com.verisign.epp.codec.relateddomainext.EPPRelatedDomainExtRenew

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPRelatedDomainExtRenew

extends java.lang.Object
implements EPPCodecComponent

EPPCodecComponent that encodes and decodes a tag associated with a Domain-Renew command.

Title: EPP 1.0 Related Domain - renew tag

Description: The EPPRelatedDomainExtRenew object represents the collection of domains that must be renewed atomically. As such it is composed of a collection of `EPPRelatedDomainExtDomain` objects.
As XML, it is represented by a element containing a number of elements.

Copyright: Copyright (c) 2013

Company: VeriSign

Version:
  1.0
Author:
  nchigurupati
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ELM_NAME` Element tag name for renew

Constructor Summary
`EPPRelatedDomainExtRenew()` Default constructor
`EPPRelatedDomainExtRenew(java.util.List<EPPRelatedDomainExtDomain> aDomains)` Constructor with a list of domains to be renewed.

Method Summary
`void` | `addDomain(EPPRelatedDomainExtDomain aDomain)` Adds a related domain represented by `EPPRelatedDomainExtDomain` to the list of related domains to renew.
`java.lang.Object` | `clone()` A deep clone of the EPPRelatedDomainExtRenew
`void` | `decode(org.w3c.dom.Element aElement)` Populate the data of this instance with the data stored in the given Element of the DOM tree
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Append all data from the list of the list of available related domain names represented by `EPPRelatedDomainExtDomain` to given DOM Document
`boolean` | `equals(java.lang.Object aObj)` A deep comparison of this with another EPPRelatedDomainExtRenew.
`java.util.List<EPPRelatedDomainExtDomain>` | `getDomains()` Returns the list of available related domain names represented by `EPPRelatedDomainExtDomain` to renew.
`boolean` | `hasDomains()` Are there any domains included in the list of domains?
`void` | `setDomains(java.util.List<EPPRelatedDomainExtDomain> aDomains)` Sets the list of available related domain names represented by `EPPRelatedDomainExtDomain` to renew.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_NAME

    public static final java.lang.String ELM_NAME

  Element tag name for renew

  See Also:
    Constant Field Values

Constructor Detail

### EPPRelatedDomainExtRenew

    public EPPRelatedDomainExtRenew()

  Default constructor

### EPPRelatedDomainExtRenew

    public EPPRelatedDomainExtRenew(java.util.List<EPPRelatedDomainExtDomain> aDomains)

  Constructor with a list of domains to be renewed.

  Parameters:
    `aDomains` - List of domains to be renewed

Method Detail

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  A deep clone of the EPPRelatedDomainExtRenew

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of concrete `EPPCodecComponent`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception
  See Also:
    `Object.clone()`

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Populate the data of this instance with the data stored in the given Element of the DOM tree

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - The root element of the report fragment of XML
  Throws:
    `EPPDecodeException` - Thrown if any errors occur during decoding.

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Append all data from the list of the list of available related domain names represented by `EPPRelatedDomainExtDomain` to given DOM Document

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - The DOM Document to append data to
  Returns:
    Encoded DOM `Element`
  Throws:
    `EPPEncodeException` - Thrown when errors occur during the encode attempt or if the instance is invalid.

### equals

    public boolean equals(java.lang.Object aObj)

  A deep comparison of this with another EPPRelatedDomainExtRenew.

  Overrides:
    `equals` in class `java.lang.Object`
  See Also:
    `Object.equals(java.lang.Object)`

### addDomain

    public void addDomain(EPPRelatedDomainExtDomain aDomain)

  Adds a related domain represented by `EPPRelatedDomainExtDomain` to the list of related domains to renew.

  Parameters:
    `aDomain` - Related domain to add to the list to renew.

### hasDomains

    public boolean hasDomains()

  Are there any domains included in the list of domains?

  Returns:
    `true` if the domain list is not `null` and there is at least one domain in the list; `false` otherwise.

### getDomains

    public java.util.List<EPPRelatedDomainExtDomain> getDomains()

  Returns the list of available related domain names represented by `EPPRelatedDomainExtDomain` to renew.

  Returns:
    the related domains to renew.

### setDomains

    public void setDomains(java.util.List<EPPRelatedDomainExtDomain> aDomains)

  Sets the list of available related domain names represented by `EPPRelatedDomainExtDomain` to renew.

  Parameters:
    `aDomains` - the related domains to set to renew

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.